"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValorPagar = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _native = require("@react-navigation/native");
var _getUserDeUna = require("../hooks/getUserDeUna");
var _AuthContext = require("../context/Auth/AuthContext");
var _Loader = require("./Loader");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ValorPagar = () => {
  const [valorPagar, setvalorPagar] = (0, _react.useState)(0.0);
  const route = (0, _native.useRoute)();
  const [InformacionUsuario] = (0, _react.useState)();
  const {
    cargarUserCredit,
    dataUserCreditor,
    token
  } = (0, _react.useContext)(_AuthContext.AuthContext);
  const [isLoading, setisLoading] = (0, _react.useState)(false);
  const navigate = (0, _native.useNavigation)();
  async function cargarDatos(token) {
    setisLoading(true);
    try {
      console.log(token);
      const phone = route.params.number.replace(/\s+/g, '');
      const data = await (0, _getUserDeUna.getUsuariotoPay)(token, phone);
      console.log(data);
      cargarUserCredit(data);
      setisLoading(false);
    } catch (error) {
      _reactNative.Alert.alert('Error', 'No se pudo cargar el usuario');
      cargarUserCredit(null);
      navigate.navigate('PantallaInicial');
      setisLoading(false);
    }
  }
  (0, _react.useEffect)(() => {
    cargarDatos(token);
    if (!dataUserCreditor) {
      navigate.navigate('PantallaInicial');
    }
  }, [route.params.number]);
  function touchNumber(num) {
    if (valorPagar < 1000) {
      if (num >= 0 && num <= 0.09) {
        setvalorPagar(valorPagar * 10 + num);
      } else {
        if (num === 10) {
          setvalorPagar(valorPagar * 100);
        }
      }
    }
    if (num === 11) {
      let aux = (valorPagar / 10).toString().match(/^\d+(?:\.\d{0,2})?/);
      if (aux != null) {
        setvalorPagar(Number.parseFloat(aux.toString()));
      }
    }
  }
  if (isLoading) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.container
    }, /*#__PURE__*/_react.default.createElement(_Loader.Loader, {
      testID: ''
    }));
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Para:"), dataUserCreditor ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, dataUserCreditor.customer.fullName) : null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textoSecundario
  }, " ", " "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.valor
  }, "$ ", valorPagar.toFixed(2)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.alerta, valorPagar > 299.99 && styles.disableAlert]
  }, "Valor m\xE1ximo por cada pago $ 299.99"), /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.filasNumeros
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0.01);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "1")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0.02);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "2")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0.03);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "3"))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.filasNumeros
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0.04);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "4")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0.05);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "5")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0.06);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "6"))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.filasNumeros
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0.07);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "7")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0.08);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "8")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0.09);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "9"))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.filasNumeros
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(10);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "00")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(0);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "0")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      touchNumber(11);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.numeros
  }, "Borrar")))), valorPagar < 299 && valorPagar > 0 ? /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => navigate.navigate('Confirmacion', {
      number: InformacionUsuario === null || InformacionUsuario === void 0 ? void 0 : InformacionUsuario.number,
      valorPagar: valorPagar
    }),
    style: styles.Btncontinuar
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Continuar")) : /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    disabled: true,
    onPress: () => _reactNative.Alert.alert('holi'),
    style: styles.BtncontinuarDisabled
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Continuar")));
};
exports.ValorPagar = ValorPagar;
const styles = _reactNative.StyleSheet.create({
  textoSecundario: {
    fontSize: 18,
    fontWeight: 'bold'
  },
  container: {
    display: 'flex',
    width: '100%',
    height: '100%',
    alignItems: 'center',
    backgroundColor: 'white',
    paddingTop: 30
  },
  valor: {
    fontSize: 50,
    fontWeight: 'bold',
    paddingTop: 40,
    paddingBottom: 40
  },
  filasNumeros: {
    display: 'flex',
    flexDirection: 'row'
  },
  numeros: {
    width: 120,
    height: 90,
    textAlign: 'center',
    fontSize: 25,
    fontWeight: 'bold'
  },
  Btncontinuar: {
    width: '90%',
    backgroundColor: '#FFDD00',
    padding: 15,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  BtncontinuarDisabled: {
    width: '90%',
    backgroundColor: '#FFDD00',
    padding: 15,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    opacity: 0.5
  },
  alerta: {
    color: '#FF0000',
    opacity: 0,
    paddingBottom: 45,
    margin: -30
  },
  disableAlert: {
    opacity: 1
  }
});
//# sourceMappingURL=ValorPagar.js.map