import { StyleSheet, Text, ScrollView, TouchableWithoutFeedback, SafeAreaView, FlatList, TextInput, ActivityIndicator } from 'react-native';
import React, { useCallback, useEffect, useState, useContext } from 'react';
import { Provider as ProviderComponent } from 'react-native-paper';
import Contacts from 'react-native-contacts';
import { useNavigation } from '@react-navigation/native';
import { View, Pressable, Alert } from 'react-native';
import { PermissionsAndroid } from 'react-native';
import Icon from 'react-native-vector-icons/FontAwesome';
import { getUserDeUna } from '../hooks/getUserDeUna';
import { AuthContext } from '../context/Auth/AuthContext';
export const ContactosPagar = () => {
  const [ContactosUsuario, setContactosUsuario] = useState();
  const [isLoading, setisLoading] = useState(false);
  const [searchList, setSearchList] = useState();
  const navigate = useNavigation();
  const {
    token
  } = useContext(AuthContext);
  useEffect(() => {
    inicializarDatos();
  }, []);
  async function inicializarDatos() {
    setisLoading(true);
    try {
      if (token != null) {
        const datos = await getUserDeUna(token);
        PermissionsAndroid.request(PermissionsAndroid.PERMISSIONS.READ_CONTACTS, {
          title: 'Contacts',
          message: 'This app would like to view your contacts.',
          buttonPositive: 'Please accept bare mortal'
        }).then(() => {
          Contacts.getAll().then(contacts => {
            const contactos = contacts.map(item => ({
              displayName: item.displayName,
              phoneNumbers: item.phoneNumbers,
              isNumberRegistered: datos.some(dato => {
                var _, _$number;
                return dato.Phone.replace(/\s+/g, '') == ((_ = item.phoneNumbers[0]) === null || _ === void 0 ? void 0 : (_$number = _.number) === null || _$number === void 0 ? void 0 : _$number.replace(/\s+/g, ''));
              })
            }));
            setisLoading(false);
            setContactosUsuario(contactos);
            setSearchList(contactos);
          });
        }).catch(e => {
          setisLoading(false);
          Alert.alert('Error', 'No se puede acceder a los contactos' + e);
        });
      } else {
        console.log(token + "es nulo");
        setisLoading(false);
      }
    } catch (error) {
      console.log(error);
    }
  }
  const render = useCallback(_ref => {
    let {
      item
    } = _ref;
    if (item.isNumberRegistered == 1) {
      var _4;
      return /*#__PURE__*/React.createElement(TouchableWithoutFeedback, {
        onPress: () => {
          var _2, _3;
          console.log((_2 = item.phoneNumbers[0]) === null || _2 === void 0 ? void 0 : _2.number);
          navigate.navigate('PayRecibe', {
            name: item.displayName,
            number: (_3 = item.phoneNumbers[0]) === null || _3 === void 0 ? void 0 : _3.number
          });
        }
      }, /*#__PURE__*/React.createElement(View, {
        style: styles.container
      }, /*#__PURE__*/React.createElement(View, {
        style: styles.contacto
      }, /*#__PURE__*/React.createElement(Text, {
        style: {
          fontWeight: "bold",
          paddingBottom: 2
        }
      }, item.displayName), /*#__PURE__*/React.createElement(Text, {
        style: {
          fontSize: 12
        }
      }, "Pagar Deuna!- ", (_4 = item.phoneNumbers[0]) === null || _4 === void 0 ? void 0 : _4.number))));
    } else {
      var _5;
      return /*#__PURE__*/React.createElement(View, {
        style: {
          ...styles.container
        }
      }, /*#__PURE__*/React.createElement(View, {
        style: styles.contacto
      }, /*#__PURE__*/React.createElement(Text, {
        style: {
          fontWeight: "bold",
          opacity: 0.7,
          paddingBottom: 2
        }
      }, item.displayName), /*#__PURE__*/React.createElement(Text, {
        style: {
          fontSize: 12
        }
      }, (_5 = item.phoneNumbers[0]) === null || _5 === void 0 ? void 0 : _5.number)), /*#__PURE__*/React.createElement(View, {
        style: styles.containerInvitar
      }, /*#__PURE__*/React.createElement(Pressable, {
        onPress: () => Alert.alert('Se envio la invitacion al usuario satisfactoriamente ')
      }, /*#__PURE__*/React.createElement(Text, {
        style: styles.textoInvitar
      }, "Invitar"))));
    }
  }, []);
  const findContact = useCallback(text => {
    if (text) {
      const newData = ContactosUsuario.filter(item => {
        const itemData = item.displayName ? item.displayName.toUpperCase() : ''.toUpperCase();
        const textData = text.toUpperCase();
        return itemData.indexOf(textData) > -1;
      });
      setSearchList(newData);
    } else {
      setSearchList(ContactosUsuario);
    }
  }, [ContactosUsuario]);
  const renderLoader = () => /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1,
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(ActivityIndicator, {
    size: "large",
    color: "#0000ff"
  }));
  return /*#__PURE__*/React.createElement(ProviderComponent, null, /*#__PURE__*/React.createElement(ScrollView, {
    style: styles.container1
  }, /*#__PURE__*/React.createElement(SafeAreaView, {
    style: styles.containerFinder
  }, /*#__PURE__*/React.createElement(Text, {
    style: {
      color: 'white',
      margin: 10,
      textAlign: "center",
      fontWeight: "bold",
      fontSize: 17
    }
  }, "\xBFA quien quieres Pagar?"), /*#__PURE__*/React.createElement(TextInput, {
    style: styles.input,
    onChangeText: findContact,
    placeholder: "Escribe un nombre, telefono o cuenta...."
  })), /*#__PURE__*/React.createElement(View, {
    style: styles.section
  }, /*#__PURE__*/React.createElement(Text, {
    style: {
      fontWeight: "bold"
    }
  }, "Sugerencias")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => navigate.navigate("CamaraQrNavigate"),
    style: styles.sectionQR
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.containerIcono
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "qrcode",
    size: 25,
    color: "white"
  })), /*#__PURE__*/React.createElement(Text, {
    style: styles.textoQR
  }, "Escanear un c\xF3digo QR")), /*#__PURE__*/React.createElement(View, {
    style: styles.section
  }, /*#__PURE__*/React.createElement(Text, {
    style: {
      fontWeight: "bold"
    }
  }, "Mis Contactos")), !isLoading ? /*#__PURE__*/React.createElement(FlatList, {
    data: searchList === null || searchList === void 0 ? void 0 : searchList.sort((a, b) => Number(b.isNumberRegistered) - Number(a.isNumberRegistered)),
    renderItem: render,
    disableScrollViewPanResponder: true
  }) : renderLoader()));
};
const styles = StyleSheet.create({
  sectionQR: {
    backgroundColor: 'white',
    height: 60,
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    paddingLeft: 15
  },
  containerIcono: {
    backgroundColor: '#572364',
    marginRight: 10,
    width: 40,
    height: 40,
    borderRadius: 40,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  textoQR: {
    fontWeight: 'bold',
    fontSize: 15
  },
  section: {
    padding: 5,
    paddingLeft: 15
  },
  containerInvitar: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  textoInvitar: {
    fontWeight: 'bold',
    padding: 5,
    paddingLeft: 20,
    paddingRight: 20,
    borderRadius: 20,
    backgroundColor: '#e8d1e7'
  },
  container1: {
    flex: 1,
    height: '100%'
  },
  contacto: {
    display: 'flex'
  },
  container: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
    backgroundColor: 'white',
    width: '100%',
    padding: 10,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  },
  input: {
    flexBasis: '30%',
    alignContent: 'center',
    height: 40,
    margin: 12,
    borderColor: '#7a42f4',
    borderWidth: 1,
    backgroundColor: 'white'
  },
  containerFinder: {
    flex: 1,
    backgroundColor: '#572364',
    width: '100%',
    height: '100%',
    padding: 10,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  }
});
//# sourceMappingURL=ContactosPagar.js.map