import React, { useContext, useEffect } from 'react';
import { createBottomTabNavigator } from '@react-navigation/bottom-tabs';
import { Text } from 'react-native';
import { createStackNavigator } from '@react-navigation/stack';
import { InformacionSabiasQue } from './InformacionSabiasQue';
import { ValorPagar } from './ValorPagar';
import { VistaPreviaValoPagar } from './VistaPreviaValoPagar';
import { ConfirmarTransaccion } from './ConfirmarTransaccion';
import { NavigationContainer } from '@react-navigation/native';
import Icon from 'react-native-vector-icons/FontAwesome';
import { RouteCamaraQr } from './componetsQr/RouteCamara';
import { AuthContext } from '../context/Auth/AuthContext';
import { tokenValidator } from '../utility/tokenValidator';
import { ContactosPagar } from './ContactosPagar';
import { Loader } from './Loader';
export function NavigationContainerS(_ref) {
  let {
    componentes
  } = _ref;
  return /*#__PURE__*/React.createElement(NavigationContainer, null, componentes);
}
export function DeUnaNavigate(_ref2) {
  let {
    componentes,
    tok,
    pasarToken
  } = _ref2;
  const {
    cargarToken,
    setDataBank
  } = useContext(AuthContext);
  const [, setValidateTokenJwt] = React.useState(false);
  const [isLoader, setIsLoader] = React.useState(false);
  const validateToken = async token => {
    setIsLoader(true);
    const validToken = await tokenValidator(token);
    console.log(validToken);
    if (token == null || validToken === false) {
      pasarToken(null);
      setValidateTokenJwt(false);
      setIsLoader(false);
    } else {
      pasarToken(token);
      setValidateTokenJwt(true);
      cargarToken(token);
      setDataBank(validToken.data);
      setIsLoader(false);
    }
  };
  useEffect(() => {
    validateToken(tok);
  }, [tok]);
  if (isLoader) {
    return /*#__PURE__*/React.createElement(Loader, {
      testID: ''
    });
  }
  const Stack = createStackNavigator();
  return /*#__PURE__*/React.createElement(Stack.Navigator, {
    initialRouteName: "Tabs",
    screenOptions: {
      headerShown: false
    }
  }, /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "Prueba"
  }, () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, null, "SEE"))), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "Tabs"
  }, () => {
    return /*#__PURE__*/React.createElement(TabNavigation, {
      componentes: componentes
    });
  }), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "InformacionCard"
  }, () => {
    return /*#__PURE__*/React.createElement(InformacionSabiasQue, null);
  }), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "PayRecibe"
  }, () => /*#__PURE__*/React.createElement(ValorPagar, null)), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "Confirmacion"
  }, () => /*#__PURE__*/React.createElement(VistaPreviaValoPagar, null)), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "ConfirmarTransaccion"
  }, () => /*#__PURE__*/React.createElement(ConfirmarTransaccion, null)), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "CamaraQrNavigate"
  }, () => /*#__PURE__*/React.createElement(RouteCamaraQr, null)), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: "ContactosPagar"
  }, () => /*#__PURE__*/React.createElement(ContactosPagar, null)));
}
export const TabNavigation = _ref3 => {
  let {
    componentes
  } = _ref3;
  const {
    token
  } = useContext(AuthContext);
  const Tab = createBottomTabNavigator();
  return /*#__PURE__*/React.createElement(Tab.Navigator, {
    screenOptions: {
      headerShown: false
    }
  }, componentes && componentes.map(item => /*#__PURE__*/React.createElement(Tab.Screen, {
    key: item.name,
    name: item.name,
    listeners: {
      tabPress: async () => {
        if (token) {
          if (token == null || !(await tokenValidator(token))) {
            console.log("se volvio indefinido" + token);
          }
        }
      }
    },
    options: {
      tabBarLabel: item.icono.label,
      tabBarIcon: _ref4 => {
        let {
          color,
          size
        } = _ref4;
        return /*#__PURE__*/React.createElement(Icon, {
          name: item.icono.name,
          size: size,
          color: color
        });
      }
    }
  }, () => /*#__PURE__*/React.createElement(item.component, item.prop))));
};
//# sourceMappingURL=TabNavigation.js.map