import React from 'react';
import { ActivityIndicator, StyleSheet, View } from 'react-native';
export interface Props {
  color?: string;
  testID: string;
}

export const Loader = ({ color = '#0000ff',testID }: Props) => {
  return (
    <View testID={testID} style={styles.container}>
      <ActivityIndicator size="large" color={color} />
    </View>
  );
};

const styles = StyleSheet.create({
  container: {
    width: '100%',
    height: 700,
    display: 'flex',
    backgroundColor: '#FFFFFF',
    justifyContent: 'center',
    alignItems: 'center',
  },
});
